| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Strat::SingleLayerGenerator Class Reference
Strat

Layer generator based on Leaf Unit. More...

`#include <stratsinglaygen.h>`

Inheritance diagram for Strat::SingleLayerGenerator:
[legend]

## Public Member Functions
| SingleLayerGenerator (const LeafUnitRef *=nullptr)
| SingleLayerGenerator (const SingleLayerGenerator &)
| ~SingleLayerGenerator ()
bool | canBeCloned () const override
const Content & | content () const
float | dispThickness (bool max=true) const override
uiString | errMsg () const override
const char * | factoryKeyword () const override
void | fillPar (IOPar &) const override
bool | isEmpty () const
| mDeclInstanceCreatedNotifierAccess (SingleLayerGenerator)
const char * | name () const override
SingleLayerGenerator & | operator= (const SingleLayerGenerator &)
PropertySet & | properties ()
const PropertySet & | properties () const
bool | reset () const override
void | setContent (const Content &c)
void | setUnit (const LeafUnitRef *ur)
void | syncProps (const PropertyRefSelection &) override
const LeafUnitRef & | unit () const
void | updateUsedProps (PropertyRefSelection &) const override
bool | usePar (const IOPar &, const Strat::RefTree &) override
Public Member Functions inherited from Strat::LayerGenerator
virtual | ~LayerGenerator ()
virtual LayerGenerator * | clone () const
bool | generateMaterial (LayerSequence &, Property::EvalOpts eo=Property::EvalOpts()) const
void | setGenDesc (LayerSequenceGenDesc *gd)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static Strat::LayerGenerator * | create ()
static void | initClass ()
static const char * | typeStr ()
Static Public Member Functions inherited from Strat::LayerGenerator
static LayerGenerator * | get (const IOPar &, const RefTree &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
LayerGenerator * | createClone () const override
bool | genMaterial (Strat::LayerSequence &, Property::EvalOpts eo=Property::EvalOpts()) const override
Protected Member Functions inherited from Strat::LayerGenerator
virtual bool | postProcess (LayerSequence &, float pos) const

## Protected Attributes
const Content * | content_
uiString | errmsg_
PropertySet | props_
const LeafUnitRef * | unit_
Protected Attributes inherited from Strat::LayerGenerator
const LayerSequenceGenDesc * | gendesc_
| set before generation

## Detailed Description

Layer generator based on Leaf Unit.

<>

## Constructor & Destructor Documentation

## ◆ SingleLayerGenerator() [1/2]

Strat::SingleLayerGenerator::SingleLayerGenerator | ( | const LeafUnitRef * | = nullptr | ) |

## ◆ SingleLayerGenerator() [2/2]

Strat::SingleLayerGenerator::SingleLayerGenerator | ( | const SingleLayerGenerator & |  | ) |

## ◆ ~SingleLayerGenerator()

Strat::SingleLayerGenerator::~SingleLayerGenerator | ( |  | ) |

## Member Function Documentation

## ◆ canBeCloned()

bool Strat::SingleLayerGenerator::canBeCloned | ( |  | ) | const
| inline override virtual

Implements Strat::LayerGenerator.

## ◆ content()

const Content & Strat::SingleLayerGenerator::content | ( |  | ) | const
| inline

## ◆ create()

static Strat::LayerGenerator * Strat::SingleLayerGenerator::create | ( |  | ) |
| inline static

## ◆ createClone()

LayerGenerator * Strat::SingleLayerGenerator::createClone | ( |  | ) | const
| override protected virtual

Reimplemented from Strat::LayerGenerator.

## ◆ dispThickness()

float Strat::SingleLayerGenerator::dispThickness | ( | bool | max = true | ) | const
| override virtual

Implements Strat::LayerGenerator.

## ◆ errMsg()

uiString Strat::SingleLayerGenerator::errMsg | ( |  | ) | const
| inline override virtual

Reimplemented from Strat::LayerGenerator.

## ◆ factoryKeyword()

const char * Strat::SingleLayerGenerator::factoryKeyword | ( |  | ) | const
| inline override

## ◆ fillPar()

void Strat::SingleLayerGenerator::fillPar | ( | IOPar & |  | ) | const
| override virtual

Reimplemented from Strat::LayerGenerator.

## ◆ genMaterial()

bool Strat::SingleLayerGenerator::genMaterial | ( | Strat::LayerSequence & | ,
|  | Property::EvalOpts | eo = Property::EvalOpts() ) const
| override protected virtual

Implements Strat::LayerGenerator.

## ◆ initClass()

static void Strat::SingleLayerGenerator::initClass | ( |  | ) |
| inline static

## ◆ isEmpty()

bool Strat::SingleLayerGenerator::isEmpty | ( |  | ) | const
| inline

## ◆ mDeclInstanceCreatedNotifierAccess()

Strat::SingleLayerGenerator::mDeclInstanceCreatedNotifierAccess | ( | SingleLayerGenerator |  | ) |

## ◆ name()

const char * Strat::SingleLayerGenerator::name | ( |  | ) | const
| override virtual

Implements Strat::LayerGenerator.

## ◆ operator=()

SingleLayerGenerator & Strat::SingleLayerGenerator::operator= | ( | const SingleLayerGenerator & |  | ) |

## ◆ properties() [1/2]

PropertySet & Strat::SingleLayerGenerator::properties | ( |  | ) |
| inline

## ◆ properties() [2/2]

const PropertySet & Strat::SingleLayerGenerator::properties | ( |  | ) | const
| inline

## ◆ reset()

bool Strat::SingleLayerGenerator::reset | ( |  | ) | const
| override virtual

Reimplemented from Strat::LayerGenerator.

## ◆ setContent()

void Strat::SingleLayerGenerator::setContent | ( | const Content & | c | ) |
| inline

## ◆ setUnit()

void Strat::SingleLayerGenerator::setUnit | ( | const LeafUnitRef * | ur | ) |
| inline

## ◆ syncProps()

void Strat::SingleLayerGenerator::syncProps | ( | const PropertyRefSelection & |  | ) |
| override virtual

Implements Strat::LayerGenerator.

## ◆ typeStr()

static const char * Strat::SingleLayerGenerator::typeStr | ( |  | ) |
| inline static

## ◆ unit()

const LeafUnitRef & Strat::SingleLayerGenerator::unit | ( |  | ) | const

## ◆ updateUsedProps()

void Strat::SingleLayerGenerator::updateUsedProps | ( | PropertyRefSelection & |  | ) | const
| override virtual

Implements Strat::LayerGenerator.

## ◆ usePar()

bool Strat::SingleLayerGenerator::usePar | ( | const IOPar & | ,
|  | const Strat::RefTree & | )
| override virtual

Reimplemented from Strat::LayerGenerator.

## Member Data Documentation

## ◆ content_

const Content* Strat::SingleLayerGenerator::content_
| protected

## ◆ errmsg_

uiString Strat::SingleLayerGenerator::errmsg_
| mutable protected

## ◆ props_

PropertySet Strat::SingleLayerGenerator::props_
| protected

## ◆ unit_

const LeafUnitRef* Strat::SingleLayerGenerator::unit_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025